QGIS Application - Bug report #4471
OpenLayers classFactory Error on QGIS 1.7.1 Launch on MacOS X Lion
2011-10-31 08:44 AM - Alexandre Leroux

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No
Operating System: MacOS X Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 14398
Description

Using KyngChaos's QGIS version 1.7.1-3, | get this error on launch, in addition to the error described in bug report Issue #4288.

I was using 1.7.0 successfully on MacOS X Lion, it's only when | updated to 1.7.1 that these error messages appeared.

The error message:

Couldn't load plugin openlayers due an error when calling its classFactory() method

Traceback (most recent call last):

File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 138, in startPlugin
plugins[packageName] = package.classFactory(iface)

File "/Users/Alex/.qgis/python/plugins/openlayers/__init__.py", line 48, in classFactory
from openlayers_plugin import OpenlayersPlugin

File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py”, line 283, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)

File "/Users/Alex/.qgis/python/plugins/openlayers/openlayers_plugin.py", line 35, in
from openlayers_ovwidget import OpenLayersOverviewWidget

File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py”, line 283, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)

File "/Users/Alex/.qgis/python/plugins/openlayers/openlayers_ovwidget.py", line 28, in
import bindogr

File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py”, line 283, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)

File "/Users/Alex/.qgis/python/plugins/openlayers/bindogr.py", line 1, in
from osgeo import ogr, osr

File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py”, line 283, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named osgeo

Python version:
2.7.1 (r271:86832, Jun 16 2011, 16:59:05)
[GCC 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2335.15.00)]

QGIS version:
1.7.1-Wroclaw Wroclaw,

Python path: ['/Applications/QGIS.app/Contents/MacQOS/../Resources/python’, '/Users/Alex/.qgis/python’,

'/Users/Alex/.qgis/python/plugins’, '/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins’,
'/Library/Frameworks/cairo.framework/Versions/1/Python/2.7',
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python27 .zip',
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7',
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-darwin’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac',
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages',
'/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk',
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload’,
'/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/PyObjC', "/Library/Python/2.7/site-packages’]

History

#1 - 2011-10-31 08:46 AM - Giovanni Manghi
- Status changed from Open to Feedback

The openlayers plugin is not a core QGIS feature, is a 3rd party tool. Report the issue to the developer of the plugin.

#2-2011-11-12 05:51 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Veersion 1.7.2

#3 - 2011-11-19 06:54 PM - Alexandre Leroux

Giovanni Manghi wrote:

The openlayers plugin is not a core QGIS feature, is a 3rd party tool. Report the issue to the developer of the plugin.

You're right. Sorry for my inexperience with QGIS. Disabling the 3rd party tool solved this issue. Thanks.

#4 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#5 - 2011-12-16 10:55 AM - Giovanni Manghi
- Target version changed from Version 1.7.3 to Version 1.7.4

#6 - 2012-01-28 03:27 PM - Giovanni Manghi
- Crashes QGIS or corrupts data set to No

- Status changed from Feedback to Closed

- Resolution set to invalid

- Affected QGIS version set to master
